<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Pizza 365 project</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>

  <body onload="loadDataDrink()">
    <div class="container">
      <p class="h3 text-center mt-5">Chọn đồ uống</p>
      <div class="form-group col-12">
        <hr class="mt-5 mb-5" />
      </div>

      <div class="form-group">
        <label>Đồ uống:</label>
        <select id="select-drink" class="form-control">
          <option>Chọn đồ uống</option>
        </select>
      </div>
      <button
        id="show-result"
        class="btn btn-primary w-25"
        onclick="onBtnHienThiClick()"
      >
        Hiển thị
      </button>
    </div>
    <script>
      "use strict";
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gREQUEST_STATUS_OK = 200;
      const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
      const gURL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function loadDataDrink() {
        var vXmlHttp = new XMLHttpRequest();
        goiApiDeLayDrink(vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            hienThiThongTinOption(vXmlHttp);
            console.log(vXmlHttp.responseText);
          }
        };
      }
      function onBtnHienThiClick() {
        var vObjDrink = {
          tenNuocUong: "",
          maNuocUong: "",
        };
        var vXmlHttp = new XMLHttpRequest();
        thuThapThongTin(vObjDrink);

        console.log(vObjDrink.tenNuocUong);
        goiApiDeLayDrink(vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            hienThiThongTinDrinkConsole(vObjDrink, vXmlHttp);
          }
        };
      }

      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      //mã nguồn để load data về

      // ham goi api de lay thong tin do uong
      function goiApiDeLayDrink(paramXmlHttp) {
        paramXmlHttp.open("GET", gURL, true);
        paramXmlHttp.send();
      }
      // do du lieu vao select option
      function hienThiThongTinOption(paramXmlHttp) {
        var vObjDrink = JSON.parse(paramXmlHttp.responseText);
        var vSeclectElement = document.getElementById("select-drink");
        for (var bI = 0; bI < vObjDrink.length; bI++) {
          var vOptionDrink = document.createElement("option");
          vOptionDrink.value = bI;
          vOptionDrink.text = vObjDrink[bI].tenNuocUong;
          vSeclectElement.appendChild(vOptionDrink);
        }
      }
      // ham hien thi thong tin drink ra console
      function hienThiThongTinDrinkConsole(paramObjDrink, paramXmlHttp) {
        var vObjDrink = JSON.parse(paramXmlHttp.responseText);
        for (var bI = 0; bI < vObjDrink.length; bI++) {
          if (paramObjDrink.tenNuocUong == vObjDrink[bI].tenNuocUong) {
            paramObjDrink.maNuocUong = vObjDrink[bI].maNuocUong;
          }
        }
        console.log(paramObjDrink);
      }
      // ham thu thap thong tin
      function thuThapThongTin(paramObjDrink) {
        var vSeclectElement = document.getElementById("select-drink");
        var vTextOptionDrink =
          vSeclectElement.options[vSeclectElement.selectedIndex].text;
        paramObjDrink.tenNuocUong = vTextOptionDrink;
      }
    </script>
  </body>
</html>
